import utils

class Target:
    def __init__(self, type='', dst='', text='', level=0):
        self.type = ''
        self.dst = ''
        self.text = ''
        self.level = 0

    def check(self, planets, units):
        player_name = utils.PLAYER[0]
        if self.type == 'conquest':
            for p in planets:
                try:
                    if p.name == self.dst and \
                       p.habitante.nombre == player_name:
                        return True
                except:
                    continue

            return False

        elif self.type == 'defeat':
            for p in planets:
                try:
                    if p.habitante.nombre == self.dst:
                        return False
                except:
                    continue
            for u in units:
                if u.player.nombre == self.dst:
                    return False

            return True


        elif self.type == 'defeat all':
            for p in planets:
                try:
                    if p.habitante.nombre != player_name:
                        return False
                except:
                    continue

            for u in units:
                if u.player.nombre != player_name:
                    return False

            return True
        
        elif self.type == 'master of universe':
            for p in planets:
                try:
                    if p.habitante.nombre != player_name:
                        return False
                except:
                    return False
            for u in units:
                if u.player.nombre != player_name:
                    return False

            return True

        elif self.type == "level":
            for p in planets:
                try:
                    if p.name == self.dst and \
                       p.habitante.nombre == player_name and\
                       p.size >= self.level:
                        return True
                except:
                    continue

            return False

